Bienvenue sur IndexError.

Ici vous pouvez poser des questions sur Python et le Framework Django.

Consultez la FAQ pour améliorer vos chances d'avoir des réponses à vos questions.

Est-il possible d'utiliser fabric avec python3

+4 votes

Après quelques recherches, j'ai cru lire que fabric ne fonctionnait pas bien à cause de paramiko.

Pourtant après un

pip install fabric

Dans un virtualenv en python 3.4, paramiko semble installé normalement et fonctionnel, mais j'ai des erreurs pour fabric (syntaxes incorrectes, des syntaxes python 2.x), et la commande fab seule provoque une erreur.

demandé 17-Jan-2015 par tominardi (200 points)

2 Réponses

+3 votes
 
Meilleure réponse

Il semblerait que non selon le site recensant les app python 3 compatibles

répondu 17-Jan-2015 par foxmask (2,892 points)
sélectionné 18-Jan-2015 par tominardi
+2 votes

Tout dépend de si tu veux écrire tes commandes fabric en Python 3, ou seulement utiliser fabric dans le cadre d'un projet Python 3, mais avec les commandes fabric écrites en Python 2.

Le premier cas ne me semble pas possible : la mise en place du support de fabric pour Python 3 est en cours, mais pas terminée.

Par contre j'ai réussi à mettre en place le second cas pas plus tard qu'hier, en installant fabric globalement sur le système avec Python 2, et pas dans un virtualenv.

répondu 17-Jan-2015 par eliotberriot (678 points)
...